Name:           syncplay-headless
Version:        1.7.3
Release:        1%{?dist}
Summary:        Solution to synchronise video playback across computers over the internet

License:        ASL 2.0
URL:            https://syncplay.pl/
Source0:        https://github.com/Syncplay/syncplay/archive/v%{version}/syncplay-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires: python3-pip
Requires: python3-certifi
Requires: python3-pem
Requires: python3-twisted
BuildArch:      noarch

Suggests:       mpv


%description
Syncplay synchronises the position and play state of multiple media players
so that the viewers can watch the same thing at the same time.
Supported Media players include mpv, VLC, MPC-HC, MPC-BE, mplayer2
This is the GUI-less version, avoiding a dependency on pyside6 that isn't packaged for fc39 yet.


%prep
%autosetup -n syncplay-%{version}

sed -Ei "s/read\\('requirements_gui.txt'\\).splitlines\\(\\)/[]/g" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files syncplay
#installing man pages.
mkdir -p %{buildroot}%{_mandir}/man1
cp -v docs/*.1 %{buildroot}%{_mandir}/man1/
#installing desktop files
mkdir -p %{buildroot}%{_datadir}/applications
cp -v syncplay/resources/syncplay.desktop %{buildroot}%{_datadir}/applications/
#installing icons for desktop file
mkdir -p %{buildroot}%{_datadir}/icons
cp -rv syncplay/resources/hicolor %{buildroot}%{_datadir}/icons/
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -rv syncplay/resources/hicolor/128x128/apps/syncplay.png %{buildroot}%{_datadir}/pixmaps/syncplay.png


%files -n %{name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc %{_mandir}/man1/syncplay*
%{_bindir}/syncplay
%{_bindir}/syncplay-server
%{_datadir}/applications/syncplay.desktop
%{_datadir}/icons/hicolor/*/apps/syncplay.png
%{_datadir}/pixmaps/syncplay.png



%changelog
* Wed May 3 2023 formile <antonar47@gmail.com> - 1.6.9-2
- Removed the custom patch to simplify RPM build
* Wed Dec 15 2021 batman feynman <batmanfeynman@gmail.com> - 1.6.9-1
- First Release
